[API Reference](../README.md) > [GetBeneficiaryRewardsParams](../interfaces/GetBeneficiaryRewardsParams.md)

# Interface: GetBeneficiaryRewardsParams

## Hierarchy

**GetBeneficiaryRewardsParams**

## Index

### Properties

* [avatar](GetBeneficiaryRewardsParams.md#avatar)
* [beneficiaryAddress](GetBeneficiaryRewardsParams.md#beneficiaryAddress)
* [proposalId](GetBeneficiaryRewardsParams.md#proposalId)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/contributionReward.ts:687](https://github.com/daostack/arc.js/blob/4b32be46/lib/wrappers/contributionReward.ts#L687)*

The avatar under which the proposals were created

___
<a id="beneficiaryAddress"></a>

###  beneficiaryAddress

**● beneficiaryAddress**: *`string`*

*Defined in [wrappers/contributionReward.ts:691](https://github.com/daostack/arc.js/blob/4b32be46/lib/wrappers/contributionReward.ts#L691)*

The agent who is to receive the rewards

___
<a id="proposalId"></a>

### `<Optional>` proposalId

**● proposalId**: *`string`*

*Defined in [wrappers/contributionReward.ts:695](https://github.com/daostack/arc.js/blob/4b32be46/lib/wrappers/contributionReward.ts#L695)*

Optionally filter on the given proposalId

___

